import request from '@/utils/request'

// 查询PCT申请导入详情列表
export function listDPctApplyInfoPreDetail(query) {
  return request({
    url: '/dimp/dPctApplyInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询PCT申请导入详情详细
export function getDPctApplyInfoPreDetail(id) {
  return request({
    url: '/dimp/dPctApplyInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增PCT申请导入详情
export function addDPctApplyInfoPreDetail(data) {
  return request({
    url: '/dimp/dPctApplyInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改PCT申请导入详情
export function updateDPctApplyInfoPreDetail(data) {
  return request({
    url: '/dimp/dPctApplyInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除PCT申请导入详情
export function delDPctApplyInfoPreDetail(id) {
  return request({
    url: '/dimp/dPctApplyInfoPreDetail/' + id,
    method: 'delete'
  })
}
